Subject: [pim] DLT in Networking side Meeting at 113

From: Michael McBride <[email-masked]>
Date: Tue, 15 Mar 2022 22:16:14 +0000

Hello,

This might be of interest to the pim community as well. There will be a side meeting a week from today (Webex invite attached) to discuss DLTs in Networking. It will be 1800 Vienna time, a couple hours after mboned meets. There will be at least one presentation (Dino) which will include multicast which you may find interesting. Talk to you next week.

https://trac.ietf.org/trac/ietf/meeting/wiki/113sidemeetings

mike

-----Original Message-----
From: rtgwg <[email-masked]> On Behalf Of Michael McBride
Sent: Wednesday, March 09, 2022 9:31 PM
To: [email-masked]; 'Dirk Trossen' <dirk.trossen=[email-masked]>; [email-masked]; [email-masked]
Subject: RE: New Version Notification for draft-trossen-rtgwg-impact-of-dlts-00.txt

Hi Adrian,

>Such approaches seem to provide for a recursion of the impact of DLTs. That is, the networking needed to resolve DLTs is itself subject to DLTs that need to be resolved.

Oh boy that is interesting. Thank you for reading the draft and giving us something else to investigate. Let's discuss during our upcoming side meeting (yes I'm using your email as an advertisement) at 113 on DLTs and Networking. Attached is the Webex meeting invite. It'll be at 1800 Vienna time on the 22nd in room Grand Klimt Hall 3 for those who will be onsite.

Thanks,
mike

-----Original Message-----
From: rtgwg <[email-masked]> On Behalf Of Adrian Farrel
Sent: Wednesday, March 09, 2022 9:36 AM
To: 'Dirk Trossen' <dirk.trossen=[email-masked]>; [email-masked]; [email-masked]
Subject: RE: New Version Notification for draft-trossen-rtgwg-impact-of-dlts-00.txt

Hi Dirk,

Thanks for the notification about this document.

I've been reading it (hooray) and I have some questions (boo).

I have heard some people proposing the use of blockchain (and so DLT) as a way of signing things in the routing world. For example, routing advertisements (either at the BGP level or within IGPs) could be signed, and blockchain could be used as these advertisements are passed on. I have also heard discussion of using blockchain for proof of transit both in regular packet flows (e.g., iOAM) and in Service Function Chaining where proof of execution of functions is desired.

Such approaches seem to provide for a recursion of the impact of DLTs. That is, the networking needed to resolve DLTs is itself subject to DLTs that need to be resolved.

Have you seen anything like this and what do you think are the consequences?

Thanks,
Adrian

-----Original Message-----
From: rtgwg <[email-masked]> On Behalf Of Dirk Trossen
Sent: 02 March 2022 13:16
To: Dirk Trossen <dirk.trossen=[email-masked]>; [email-masked]; [email-masked]
Subject: RE: New Version Notification for draft-trossen-rtgwg-impact-of-dlts-00.txt

All,

We have posted an updated to the draft below at https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-trossen-rtgwg-impact-of-dlts%2F&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=o%2BQ4Y2BksXlvjTzOk2MIMFEDU4SVCbD6lRIprn%2BdQxU%3D&amp;reserved=0. 

We now welcome Mike McBride and Xinxin Fan as additional co-authors and have also added language into the introduction to clarify our initial insights being limited to PoW -based DLT systems, which lead to some characteristic communication patterns and associated inefficiencies compared to, say, PoS-based systems. 

Please provide any comments you may have on the draft and/or its insights, including any interests in contributing in its expansion (e.g., to other DLT systems).

Best,

Dirk

-----Original Message-----
From: routing-discussion [mailto:[email-masked]] On Behalf Of Dirk Trossen
Sent: 14 February 2022 16:16
To: [email-masked]; [email-masked]
Subject: FW: New Version Notification for draft-trossen-rtgwg-impact-of-dlts-00.txt

All,

We posted the draft below to continue a piece of work initiated in the Industry IoT Consortium (IIC) on understanding the "Impact of DLTs on provider networks", leading to the whitepaper at
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.iiconsortium.org%2Fpdf%2F2022-01-10-Impact-of-Distributed-Ledgers-on&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=bDPFIxxw0Np7h%2BsNHSX9pqNFdNQ5HODfz2udYMpAzPU%3D&amp;reserved=0
-Provider-Networks.pdf

With this draft, we solicit feedback from the wider IETF community on our insights regarding DLTs with the desire to broaden our findings with the expertise we can find here but also to capture possible network and routing innovations that may improve on the impacts we have identified.

If you have any comments or would like to contribute to this work, please do let us know, either on the list or directly to the authors.

Best,

Dirk (on behalf of the authors)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: 14 February 2022 16:10
To: David Guzman <[email-masked]>; Dirk Trossen <[email-masked]>
Subject: New Version Notification for
draft-trossen-rtgwg-impact-of-dlts-00.txt

A new version of I-D, draft-trossen-rtgwg-impact-of-dlts-00.txt
has been successfully submitted by Dirk Trossen and posted to the IETF repository.

Name:		draft-trossen-rtgwg-impact-of-dlts
Revision:	00
Title:		Impact of DLTs on Provider Networks
Document date:	2022-02-14
Group:		Individual Submission
Pages:		16
URL:
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Farchive%2Fid%2Fdraft-trossen-rtgwg-impact-of-dlts-00.txt&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=QRrDxkFfxi4CIGCC%2Fvjg5sjNzOKylBylz2l3uJW856E%3D&amp;reserved=0
Status:
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-trossen-rtgwg-impact-of-dlts%2F&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=o%2BQ4Y2BksXlvjTzOk2MIMFEDU4SVCbD6lRIprn%2BdQxU%3D&amp;reserved=0
Htmlized:
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-trossen-rtgwg-impact-of-dlts&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=iv4Js0V7x26f94KDVbwMEEla5QEQxRzqCk15OXCcsEs%3D&amp;reserved=0

Abstract:
   This document discusses the impact of distributed ledger technologies
   being realized over IP-based provider networks.  The focus here lies
   on the impact that the DLT communication patterns have on efficiency
   of resource usage in the underlying networks.  We provide initial
   insights into experimental results to quantify this impact in terms
   of inefficient and wasted communication, aligned along challenges
   that the DLT realization over IP networks faces.

   This document is intended to outline this impact but also
   opportunities for network innovations to improve on the identified
   impact as well as the overall service quality.  While this document
   does not promote specific solutions that capture those opportunities,
   it invites the wider community working on DLT and network solutions
   alike to contribute to the insights in this document to aid future
   research and development into possible solution concepts and
   technologies.

   The findings presented here have first been reported within the
   similarly titled whitepaper released by the Industry IoT Consortium
   [IIC_whitepaper].

The IETF Secretariat

_______________________________________________
routing-discussion mailing list
[email-masked]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Frouting-discussion&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=Cjz3IPHP8GbKLeGM89RInNvSKpjlnYWepMQob6s0ybo%3D&amp;reserved=0

_______________________________________________
rtgwg mailing list
[email-masked]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Frtgwg&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=gLPOFXMSr%2F5LJ067y8FaxbOG2M%2FDL7FyL9%2F8TRl6cbs%3D&amp;reserved=0

_______________________________________________
rtgwg mailing list
[email-masked]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Frtgwg&amp;data=04%7C01%7Cmichael.mcbride%40futurewei.com%7C129cd12f35cb4641507108da025753d6%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637824871348327457%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=gLPOFXMSr%2F5LJ067y8FaxbOG2M%2FDL7FyL9%2F8TRl6cbs%3D&amp;reserved=0